Read Engagement - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

/ v1 / engagements / {engagementId}

Read Engagement

cURL

curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/engagements/{engagementId} \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://{tenant}.mindbridge.ai/api/v1/engagements/{engagementId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/engagements/{engagementId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/engagements/{engagementId}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/engagements/{engagementId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response

200

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "organizationId": "<string>",
  "name": "<string>",
  "billingCode": "<string>",
  "libraryId": "<string>",
  "accountingPeriod": {
    "fiscalStartMonth": 123,
    "fiscalStartDay": 123
  },
  "auditPeriodEndDate": "2023-12-25",
  "accountingPackage": "<string>",
  "industry": "<string>",
  "engagementLeadId": "<string>",
  "reportingPeriodConfigurationId": "<string>",
  "auditorIds": [\
    "<string>"\
  ],
  "emailSubscriptions": {}
}